Bug 709821 - [abrt] tint2-0.11-3.fc15: _IO_new_fclose: Process /usr/bin/tint2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] tint2-0.11-3.fc15: _IO_new_fclose: Process /usr/bin/tint2 was killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tint2
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Zapletal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:63e114dcddacfdbd3c5407980ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-01 18:05 UTC by Lukas Zapletal
Modified: 2011-07-31 04:00 UTC (History)
2 users (show)

Fixed In Version: tint2-0.11-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 04:00:36 UTC
Type: ---


Attachments (Terms of Use)
git format-patch against fedora rawhide (master) (2.64 KB, patch)
2011-06-01 18:15 UTC, Lukas Zapletal
no flags Details | Diff

Description Lukas Zapletal 2011-06-01 18:05:29 UTC
abrt version: 2.0.1
architecture:   i686
cmdline:        tint2
component:      tint2
crash_function: _IO_new_fclose
executable:     /usr/bin/tint2
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        tint2-0.11-3.fc15
rating:         4
reason:         Process /usr/bin/tint2 was killed by signal 11 (SIGSEGV)
time:           Wed Jun  1 19:40:07 2011
uid:            500
username:       lzap

backtrace:
:
:[New LWP 1754]
:[Thread debugging using libthread_db enabled]
:Core was generated by `tint2'.
:Program terminated with signal 11, Segmentation fault.
:#0  _IO_new_fclose (fp=0x0) at iofclose.c:52
:52	iofclose.c: No such file or directory.
:	in iofclose.c
:
:Thread 1 (Thread 0xb78b17e0 (LWP 1754)):
:#0  _IO_new_fclose (fp=0x0) at iofclose.c:52
:        status = <optimized out>
:#1  0x0805d4e3 in init_battery ()
:No symbol table info available.
:#2  0x08052255 in init_panel ()
:No symbol table info available.
:#3  0x0804e10a in main ()
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x49fd7880  0x49fd840c  Yes         /usr/lib/libXcomposite.so.1
:0x49f337c0  0x49f341fc  Yes         /usr/lib/libXdamage.so.1
:0x49ce5ed0  0x49ce864c  Yes         /usr/lib/libXfixes.so.3
:0x49e3e780  0x49e3f24c  Yes         /usr/lib/libXinerama.so.1
:0x49e1d300  0x49e234fc  Yes         /usr/lib/libXrender.so.1
:0x49a48310  0x49ad8fbc  Yes         /usr/lib/libX11.so.6
:0x49e29150  0x49e2dccc  Yes         /usr/lib/libXrandr.so.2
:0x4a161670  0x4a166c4c  Yes         /usr/lib/libpangocairo-1.0.so.0
:0x4a11d240  0x4a13ef0c  Yes         /usr/lib/libpango-1.0.so.0
:0x49fe4170  0x4a06bb6c  Yes         /usr/lib/libcairo.so.2
:0x499eafb0  0x49a1e70c  Yes         /lib/libgobject-2.0.so.0
:0x49bfcbd0  0x49bfdd4c  Yes         /lib/libgmodule-2.0.so.0
:0x499ddf30  0x499df70c  Yes         /lib/libgthread-2.0.so.0
:0x498168c0  0x4981a6fc  Yes         /lib/librt.so.1
:0x498b7740  0x499555cc  Yes         /lib/libglib-2.0.so.0
:0x49e488e0  0x49e8fc2c  Yes         /usr/lib/libImlib2.so.1
:0x497f5630  0x4980157c  Yes         /lib/libpthread.so.0
:0x49677ce0  0x49795324  Yes         /lib/libc.so.6
:0x49b966b0  0x49ba100c  Yes         /usr/lib/libXext.so.6
:0x49b75e90  0x49b857bc  Yes         /usr/lib/libxcb.so.1
:0x4980ea60  0x4980fa8c  Yes         /lib/libdl.so.2
:0x4984ef30  0x49865c5c  Yes         /lib/libgcc_s.so.1
:0x498234b0  0x4983ebbc  Yes         /lib/libm.so.6
:0x49f88570  0x49fa594c  Yes         /usr/lib/libpangoft2-1.0.so.0
:0x49c1a480  0x49c852cc  Yes         /usr/lib/libfreetype.so.6
:0x49cb3010  0x49cce66c  Yes         /usr/lib/libfontconfig.so.1
:0x4a09a000  0x4a10111c  Yes         /usr/lib/libpixman-1.so.0
:0x49bd4720  0x49bf14ec  Yes         /usr/lib/libpng12.so.0
:0x4986d670  0x4987aaac  Yes         /lib/libz.so.1
:0x4963a850  0x496527ff  Yes         /lib/ld-linux.so.2
:0x49b8fa00  0x49b9088c  Yes         /usr/lib/libXau.so.6
:0x49ba9040  0x49bc2c7c  Yes         /lib/libexpat.so.1
:0x00ecd7a0  0x00ecdd0c  Yes         /usr/lib/imlib2/loaders/zlib.so
:0x00412880  0x00413fec  Yes         /usr/lib/imlib2/loaders/xpm.so
:0x0014e990  0x0014f9bc  Yes         /usr/lib/imlib2/loaders/tiff.so
:0x4b0fada0  0x4b12eefc  Yes         /usr/lib/libtiff.so.3
:0x4ac6c750  0x4aca175c  Yes         /usr/lib/libjpeg.so.62
:0x0030c600  0x0030d2ec  Yes         /usr/lib/imlib2/loaders/tga.so
:0x004166d0  0x00417e1c  Yes         /usr/lib/imlib2/loaders/pnm.so
:0x00fe0df0  0x00fe1f2c  Yes         /usr/lib/imlib2/loaders/png.so
:0x00af8640  0x00af9ddc  Yes         /usr/lib/imlib2/loaders/lbm.so
:0x0063ca10  0x0063d7fc  Yes         /usr/lib/imlib2/loaders/jpeg.so
:0x00195660  0x00195f2c  Yes         /usr/lib/imlib2/loaders/gif.so
:0x49e03530  0x49e088bc  Yes         /usr/lib/libgif.so.4
:0x4a195410  0x4a199d5c  Yes         /usr/lib/libSM.so.6
:0x4a1a14e0  0x4a1b03dc  Yes         /usr/lib/libICE.so.6
:0x4a18df30  0x4a18fb5c  Yes         /lib/libuuid.so.1
:0x00f207b0  0x00f20d0c  Yes         /usr/lib/imlib2/loaders/bz2.so
:0x4ad09000  0x4ad1535c  Yes         /lib/libbz2.so.1
:0x004e9690  0x004eb4ac  Yes         /usr/lib/imlib2/loaders/bmp.so
:0x00520640  0x00520d4c  Yes         /usr/lib/imlib2/loaders/argb.so
:0x00c05a40  0x00c0cd8c  Yes         /lib/libnss_files.so.2
:$1 = 0x0
:$2 = 0x0
:eax            0x0	0
:ecx            0x497ec3e0	1233044448
:edx            0x497ec410	1233044496
:ebx            0x497eaff4	1233039348
:esp            0xbfc93294	0xbfc93294
:ebp            0x84dd2d0	0x84dd2d0
:esi            0x0	0
:edi            0x84dd168	139317608
:eip            0x496c2cd2	0x496c2cd2 <_IO_new_fclose+34>
:eflags         0x210212	[ AF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function _IO_new_fclose:
:   0x496c2cb0 <+0>:	sub    $0x18,%esp
:   0x496c2cb3 <+3>:	mov    %esi,0xc(%esp)
:   0x496c2cb7 <+7>:	mov    0x1c(%esp),%esi
:   0x496c2cbb <+11>:	mov    %ebx,0x8(%esp)
:   0x496c2cbf <+15>:	mov    %edi,0x10(%esp)
:   0x496c2cc3 <+19>:	mov    %ebp,0x14(%esp)
:   0x496c2cc7 <+23>:	call   0x4977bf43 <__i686.get_pc_thunk.bx>
:   0x496c2ccc <+28>:	add    $0x128328,%ebx
:=> 0x496c2cd2 <+34>:	cmpb   $0x0,0x46(%esi)
:   0x496c2cd6 <+38>:	jne    0x496c2e68 <_IO_new_fclose+440>
:   0x496c2cdc <+44>:	mov    (%esi),%ecx
:   0x496c2cde <+46>:	test   $0x20,%ch
:   0x496c2ce1 <+49>:	mov    %ecx,%edx
:   0x496c2ce3 <+51>:	jne    0x496c2e38 <_IO_new_fclose+392>
:   0x496c2ce9 <+57>:	mov    %ecx,%eax
:   0x496c2ceb <+59>:	and    $0x8000,%eax
:   0x496c2cf0 <+64>:	jne    0x496c2d28 <_IO_new_fclose+120>
:   0x496c2cf2 <+66>:	mov    0x48(%esi),%edx
:   0x496c2cf5 <+69>:	mov    %gs:0x8,%edi
:   0x496c2cfc <+76>:	cmp    0x8(%edx),%edi
:   0x496c2cff <+79>:	je     0x496c2d22 <_IO_new_fclose+114>
:   0x496c2d01 <+81>:	mov    $0x1,%ecx
:   0x496c2d06 <+86>:	cmpl   $0x0,%gs:0xc
:   0x496c2d0e <+94>:	je     0x496c2d11 <_IO_new_fclose+97>
:   0x496c2d10 <+96>:	lock cmpxchg %ecx,(%edx)
:   0x496c2d14 <+100>:	jne    0x496c2eac <_L_lock_42>
:   0x496c2d1a <+106>:	mov    0x48(%esi),%edx
:   0x496c2d1d <+109>:	mov    (%esi),%ecx
:   0x496c2d1f <+111>:	mov    %edi,0x8(%edx)
:   0x496c2d22 <+114>:	addl   $0x1,0x4(%edx)
:   0x496c2d26 <+118>:	mov    %ecx,%edx
:   0x496c2d28 <+120>:	mov    %ecx,%edi
:   0x496c2d2a <+122>:	shl    $0x1a,%edi
:   0x496c2d2d <+125>:	sar    $0x1f,%edi
:   0x496c2d30 <+128>:	and    $0x20,%ch
:   0x496c2d33 <+131>:	jne    0x496c2e50 <_IO_new_fclose+416>
:   0x496c2d39 <+137>:	and    $0x80,%dh
:   0x496c2d3c <+140>:	jne    0x496c2d70 <_IO_new_fclose+192>
:   0x496c2d3e <+142>:	mov    0x48(%esi),%edx
:   0x496c2d41 <+145>:	mov    0x4(%edx),%eax
:   0x496c2d44 <+148>:	sub    $0x1,%eax
:   0x496c2d47 <+151>:	test   %eax,%eax
:   0x496c2d49 <+153>:	mov    %eax,0x4(%edx)
:   0x496c2d4c <+156>:	jne    0x496c2d70 <_IO_new_fclose+192>
:   0x496c2d4e <+158>:	movl   $0x0,0x8(%edx)
:   0x496c2d55 <+165>:	cmpl   $0x0,%gs:0xc
:   0x496c2d5d <+173>:	je     0x496c2d60 <_IO_new_fclose+176>
:   0x496c2d5f <+175>:	lock subl $0x1,(%edx)
:   0x496c2d63 <+179>:	jne    0x496c2eb8 <_L_unlock_86>
:   0x496c2d69 <+185>:	lea    0x0(%esi,%eiz,1),%esi
:   0x496c2d70 <+192>:	movsbl 0x46(%esi),%eax
:   0x496c2d74 <+196>:	mov    0x94(%esi,%eax,1),%eax
:   0x496c2d7b <+203>:	movl   $0x0,0x4(%esp)
:   0x496c2d83 <+211>:	mov    %esi,(%esp)
:   0x496c2d86 <+214>:	call   *0x8(%eax)
:   0x496c2d89 <+217>:	mov    0x68(%esi),%edx
:   0x496c2d8c <+220>:	test   %edx,%edx
:   0x496c2d8e <+222>:	jle    0x496c2e20 <_IO_new_fclose+368>
:   0x496c2d94 <+228>:	mov    0x54(%esi),%ebp
:   0x496c2d97 <+231>:	xor    %eax,%eax
:   0x496c2d99 <+233>:	mov    $0x1,%ecx
:   0x496c2d9e <+238>:	cmpl   $0x0,%gs:0xc
:   0x496c2da6 <+246>:	je     0x496c2da9 <_IO_new_fclose+249>
:   0x496c2da8 <+248>:	lock cmpxchg %ecx,0x3650(%ebx)
:   0x496c2db0 <+256>:	jne    0x496c2ec4 <_L_lock_112>
:   0x496c2db6 <+262>:	mov    0x24(%ebp),%eax
:   0x496c2db9 <+265>:	call   0x4967bdc0 <__gconv_release_step>
:   0x496c2dbe <+270>:	mov    0x50(%ebp),%eax
:   0x496c2dc1 <+273>:	call   0x4967bdc0 <__gconv_release_step>
:   0x496c2dc6 <+278>:	cmpl   $0x0,%gs:0xc
:   0x496c2dce <+286>:	je     0x496c2dd1 <_IO_new_fclose+289>
:   0x496c2dd0 <+288>:	lock subl $0x1,0x3650(%ebx)
:   0x496c2dd8 <+296>:	jne    0x496c2ed4 <_L_unlock_121>
:   0x496c2dde <+302>:	cmp    0x890(%ebx),%esi
:   0x496c2de4 <+308>:	je     0x496c2e04 <_IO_new_fclose+340>
:   0x496c2de6 <+310>:	cmp    0x88c(%ebx),%esi
:   0x496c2dec <+316>:	je     0x496c2e04 <_IO_new_fclose+340>
:   0x496c2dee <+318>:	cmp    0x888(%ebx),%esi
:   0x496c2df4 <+324>:	je     0x496c2e04 <_IO_new_fclose+340>
:   0x496c2df6 <+326>:	movl   $0x0,(%esi)
:   0x496c2dfc <+332>:	mov    %esi,(%esp)
:   0x496c2dff <+335>:	call   0x49677cb4 <free@plt>
:   0x496c2e04 <+340>:	mov    %edi,%eax
:   0x496c2e06 <+342>:	mov    0x8(%esp),%ebx
:   0x496c2e0a <+346>:	mov    0xc(%esp),%esi
:   0x496c2e0e <+350>:	mov    0x10(%esp),%edi
:   0x496c2e12 <+354>:	mov    0x14(%esp),%ebp
:   0x496c2e16 <+358>:	add    $0x18,%esp
:   0x496c2e19 <+361>:	ret    
:   0x496c2e1a <+362>:	lea    0x0(%esi),%esi
:   0x496c2e20 <+368>:	mov    0x24(%esi),%eax
:   0x496c2e23 <+371>:	test   %eax,%eax
:   0x496c2e25 <+373>:	je     0x496c2dde <_IO_new_fclose+302>
:   0x496c2e27 <+375>:	mov    %esi,(%esp)
:   0x496c2e2a <+378>:	call   0x496d0bc0 <_IO_free_backup_area>
:   0x496c2e2f <+383>:	jmp    0x496c2dde <_IO_new_fclose+302>
:   0x496c2e31 <+385>:	lea    0x0(%esi,%eiz,1),%esi
:   0x496c2e38 <+392>:	mov    %esi,(%esp)
:   0x496c2e3b <+395>:	call   0x496d04d0 <_IO_un_link>
:   0x496c2e40 <+400>:	mov    (%esi),%ecx
:   0x496c2e42 <+402>:	mov    %ecx,%edx
:   0x496c2e44 <+404>:	jmp    0x496c2ce9 <_IO_new_fclose+57>
:   0x496c2e49 <+409>:	lea    0x0(%esi,%eiz,1),%esi
:   0x496c2e50 <+416>:	mov    %esi,(%esp)
:   0x496c2e53 <+419>:	call   0x496cf0e0 <_IO_new_file_close_it>
:   0x496c2e58 <+424>:	mov    %eax,%edi
:   0x496c2e5a <+426>:	mov    (%esi),%edx
:   0x496c2e5c <+428>:	jmp    0x496c2d39 <_IO_new_fclose+137>
:   0x496c2e61 <+433>:	lea    0x0(%esi,%eiz,1),%esi
:   0x496c2e68 <+440>:	mov    %esi,(%esp)
:   0x496c2e6b <+443>:	call   0x4977c360 <_IO_old_fclose>
:   0x496c2e70 <+448>:	mov    %eax,%edi
:   0x496c2e72 <+450>:	jmp    0x496c2e04 <_IO_new_fclose+340>
:   0x496c2e74 <+452>:	mov    %eax,%ecx
:   0x496c2e76 <+454>:	mov    (%esi),%eax
:   0x496c2e78 <+456>:	test   $0x80,%ah
:   0x496c2e7b <+459>:	jne    0x496c2ea4 <_IO_new_fclose+500>
:   0x496c2e7d <+461>:	mov    0x48(%esi),%edx
:   0x496c2e80 <+464>:	mov    0x4(%edx),%eax
:   0x496c2e83 <+467>:	sub    $0x1,%eax
:   0x496c2e86 <+470>:	test   %eax,%eax
:   0x496c2e88 <+472>:	mov    %eax,0x4(%edx)
:   0x496c2e8b <+475>:	jne    0x496c2ea4 <_IO_new_fclose+500>
:   0x496c2e8d <+477>:	movl   $0x0,0x8(%edx)
:   0x496c2e94 <+484>:	cmpl   $0x0,%gs:0xc
:   0x496c2e9c <+492>:	je     0x496c2e9f <_IO_new_fclose+495>
:   0x496c2e9e <+494>:	lock subl $0x1,(%edx)
:   0x496c2ea2 <+498>:	jne    0x496c2ee4 <_L_unlock_227>
:   0x496c2ea4 <+500>:	mov    %ecx,(%esp)
:   0x496c2ea7 <+503>:	call   0x4967a750 <_Unwind_Resume>
:End of assembler dump.

build_ids:
:807ca75438f4914f19d76cde021a2a663d7c0bff
:aff7b19362693a955cd43d94458a07ea5bf84a3a
:e059d57b917964c7ff204ba5472454221b6af2d3
:5323e62129051ecbe14be6d7dae794798e571229
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:b70e4818fe0cd74e19bb16629722533eb46a6b25
:c16193cfe3eb02dc1d2451177325f25a02ce714e
:df269e860657bc2f90220e882ad683a52b909620
:9ab1595028e3421e37442d01b1147b7717d9616b
:733622bfedf7ee119e206b2c0cac39b3ca7faeb5
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:b19c85dd97c0f3236fcdb90cb7188bb48eb14b4b
:c961a3f1b89f799b2eb6d5e371adc4a73c324daf
:798697a352bae4178953ba502fb04f33dd0ed987
:49931b2c4aee842fba3a4d908ca1f425b52eeae5
:f5972ca949be5ea714d53769e532478f9d1b6f56
:0c66f47155090aa88fa0174effc38414db016842
:5d86d516501190bd56650ce243e9518a192cc4d6
:7b0516e9b3f6502abb6b3ab1b65fb406d7d48902
:b2e3b7e1f927ff5d61be1ba2aabc278c1c1870df
:6de9efac399f772307cbf52243fbe52374e89c07
:5cf14e251978e8f9192ad52b396136d7f9f22f26
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:2dc4e4ea515eca25191148452fac07de08443eb8
:ffb9a96c6ef819a5227faeafa6d771f4694bdc2f
:e18695e040cee33414bc758c8716824d97f1ee7d
:826bb4d8376c62b913b61301b276adab50e11c5a
:0fb1a36c413f1e19a1b48f2748386b92fe2fa54a
:15bab279752ad8e30f901abae77bcb1ed1f38977
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:b3ab41f2571ca928f35e356195e5825c79c4b63c
:bff3fb82e4094b57b9dc3e5c5ca8c09ee8746c05
:23d1086014ed5544b3df4cee1f95694032252322
:0d04c271032bbb821f18e7ed384ea020c338731a
:856e6895b22b2e88184b1290e066452ce392bf29
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:92a9033bbedc303317346dc414914fec5643bd7b
:08acb0a715c0e1a9459a6b9a5de6fe0110b7539d
:0ec67841c65154884674a40386ca7347be2101ba
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:356d76ed7f3fe0522c4af11f5c2fa55f169918c0
:af97663d7b1eb6064f63b0bd30df9dcd6357aad3
:d38d5aa5c465dcc67aafbd868682bace19e674ab
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:7875646b4ab3ceb0c3fbcf0293d913c02fd140b7
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:62f95e57bc5d5c38b28fd960790a5c0989dd587b
:a240ab21b06de9d167272d0ed01518f9061a4064
:1df1ef35cec76dad0cbfb1a0bfcdd2935754b200
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

comment:
:
:$ tint2
:real transparency off.... depth: 24
:xRandr: Found crtc's: 2
:xRandr: Linking output LVDS1 with crtc 0
:warning : monitor not found. tint2 default to all monitors.
:ERROR: battery applet can't open energy_now
:Segmentation fault (core dumped)
:
:http://code.google.com/p/tint2/issues/detail?id=302
:

dsos:
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1306320468
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1306318231
:/usr/lib/libImlib2.so.1.4.4 imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/imlib2/loaders/zlib.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/lib/libm-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1306318579
:/usr/lib/imlib2/loaders/bz2.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1306318226
:/usr/lib/libtiff.so.3.9.5 libtiff-3.9.5-1.fc15.i686 (Fedora Project) 1306318207
:/usr/lib/imlib2/loaders/jpeg.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1306318221
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1306318236
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1306318234
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1306320468
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1306318228
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1306318229
:/lib/libc-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/usr/lib/imlib2/loaders/tga.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/imlib2/loaders/bmp.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/imlib2/loaders/tiff.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/imlib2/loaders/png.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1306318230
:/lib/libgobject-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306318259
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1306318186
:/usr/lib/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.i686 (Fedora Project) 1306318187
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1306320468
:/usr/lib/imlib2/loaders/xpm.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/lib/libdl-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/usr/lib/imlib2/loaders/pnm.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.i686 (Fedora Project) 1306318185
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1306318191
:/usr/lib/imlib2/loaders/lbm.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/lib/libgthread-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306318259
:/lib/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.i686 (Fedora Project) 1306318197
:/usr/lib/imlib2/loaders/gif.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/usr/lib/libgif.so.4.1.6 giflib-4.1.6-4.fc15.i686 (Fedora Project) 1306318299
:/lib/libgmodule-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306318259
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1306318233
:/lib/librt-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1306318196
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.0-2.fc15.i686 (Fedora Project) 1306318192
:/lib/libglib-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306318259
:/usr/lib/imlib2/loaders/argb.so imlib2-1.4.4-2.fc15.i686 (Fedora Project) 1306318407
:/lib/ld-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/lib/libnss_files-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1306318249
:/usr/bin/tint2 tint2-0.11-3.fc15.i686 (Fedora Project) 1306321393
:/lib/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.i686 (Fedora Project) 1306318013
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1306318583
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.fc15.i686 (Fedora Project) 1306318221
:/lib/libpthread-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306318040
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1306318227
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1306318230
:/usr/lib/locale/locale-archive glibc-common-2.13.90-9.i686 (Fedora Project) 1306318031

environ:
:rvm_dump_environment_flag=0
:SSH_AGENT_PID=1556
:XDG_SESSION_ID=1
:HOSTNAME=lzapx.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:rvm_archive_extension=tar.bz2
:rvm_clang_flag=0
:GEM_HOME=/home/lzap/.rvm/gems/ruby-1.8.7-p334@katello
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=d6888a116395226c2771789100000014-1306949992.538712-985519764
:HISTSIZE=10000
:IRBRC=/home/lzap/.rvm/rubies/ruby-1.8.7-p334/.irbrc
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:rvm_hook=after_use
:MY_RUBY_HOME=/home/lzap/.rvm/rubies/ruby-1.8.7-p334
:rvm_verbose_flag=1
:IMSETTINGS_MODULE=none
:USER=lzap
:HISTFILESIZE=10000
:XENVIRONMENT=/home/lzap/.Xdefaults
:rvm_path=/home/lzap/.rvm
:SSH_AUTH_SOCK=/tmp/ssh-HlRjMB1425/agent.1425
:USERNAME=lzap
:rvm_ruby_global_gems_path=/home/lzap/.rvm/gems/ruby-1.8.7-p334@global
:rvm_sticky_flag=1
:PATH=/home/lzap/.rvm/gems/ruby-1.8.7-p334@katello/bin:/home/lzap/.rvm/gems/ruby-1.8.7-p334@global/bin:/home/lzap/.rvm/rubies/ruby-1.8.7-p334/bin:/home/lzap/.rvm/bin:/usr/lib/jvm/java-openjdk/bin:/usr/lib/qt-3.3/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/opt/real/RealPlayer:/home/lzap/bin
:DESKTOP_SESSION=openbox
:MAIL=/var/spool/mail/lzap
:QT_IM_MODULE=xim
:PWD=/home/lzap
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/lib/jvm/java-openjdk
:EDITOR=vim
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=openbox
:HISTCONTROL=ignoreboth
:SSH_ASKPASS=/usr/libexec/openssh/x11-ssh-askpass
:rvm_version=1.6.16
:HOME=/home/lzap
:SHLVL=2
:JDK_HOME=/usr/lib/jvm/java-openjdk
:rvm_ruby_string=ruby-1.8.7-p334
:LOGNAME=lzap
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NQFHcEdDkE,guid=b0f8826a84fcf39bac657e7200000036
:GEM_PATH=/home/lzap/.rvm/gems/ruby-1.8.7-p334@katello:/home/lzap/.rvm/gems/ruby-1.8.7-p334@global
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BROWSER=google-chrome
:rvm_reload_flag=0
:WINDOWPATH=1
:IDEA_JDK=/opt/java/sunjdk6
:XDG_RUNTIME_DIR=/run/user/lzap
:DISPLAY=:0
:rvm_delete_flag=0
:GTK_IM_MODULE=gtk-im-context-simple
:RUBY_VERSION=ruby-1.8.7-p334
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-lzap-jrnNUp/database
:_=/usr/bin/tint2

event_log:
:2011-06-01-20:00:27> Retrace server is fully occupied at the moment. Try again later please.
:2011-06-01-20:00:27* (exited with 1)
:2011-06-01-20:00:34> Analyzing coredump 'coredump'
:2011-06-01-20:00:41  Coredump references 54 debuginfo files, 40 of them are not installed
:2011-06-01-20:00:41  Looking for needed packages in repositories
:2011-06-01-20:01:04  Packages to download: 26
:2011-06-01-20:01:04  Downloading 133.11Mb, installed size: 612.92Mb
:2011-06-01-20:01:17  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:   7%
:2011-06-01-20:01:29  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  14%
:2011-06-01-20:01:40  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  21%
:2011-06-01-20:01:51  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  28%
:2011-06-01-20:02:02  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  35%
:2011-06-01-20:02:13  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  42%
:2011-06-01-20:02:24  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  49%
:2011-06-01-20:02:36  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  56%
:2011-06-01-20:02:47  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  63%
:2011-06-01-20:02:58  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  68%
:2011-06-01-20:03:09  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  75%
:2011-06-01-20:03:20  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  82%
:2011-06-01-20:03:31  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  89%
:2011-06-01-20:03:42  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  96%
:2011-06-01-20:03:49  Downloading (1 of 26) gcc-debuginfo-4.6.0-7.fc15.i686.rpm: 100%
:2011-06-01-20:03:49  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/gcc-debuginfo-4.6.0-7.fc15.i686.rpm
:2011-06-01-20:04:12  Caching files from unpacked.cpio made from gcc-debuginfo-4.6.0-7.fc15.i686.rpm
:2011-06-01-20:04:22  Downloading (2 of 26) fontconfig-debuginfo-2.8.0-3.fc15.i686.rpm: 100%
:2011-06-01-20:04:22  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/fontconfig-debuginfo-2.8.0-3.fc15.i686.rpm
:2011-06-01-20:04:23  Caching files from unpacked.cpio made from fontconfig-debuginfo-2.8.0-3.fc15.i686.rpm
:2011-06-01-20:04:23  Downloading (3 of 26) libXdamage-debuginfo-1.1.3-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:23  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXdamage-debuginfo-1.1.3-2.fc15.i686.rpm
:2011-06-01-20:04:23  Caching files from unpacked.cpio made from libXdamage-debuginfo-1.1.3-2.fc15.i686.rpm
:2011-06-01-20:04:23  Downloading (4 of 26) libXext-debuginfo-1.2.0-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:23  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXext-debuginfo-1.2.0-2.fc15.i686.rpm
:2011-06-01-20:04:23  Caching files from unpacked.cpio made from libXext-debuginfo-1.2.0-2.fc15.i686.rpm
:2011-06-01-20:04:24  Downloading (5 of 26) giflib-debuginfo-4.1.6-4.fc15.i686.rpm: 100%
:2011-06-01-20:04:24  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/giflib-debuginfo-4.1.6-4.fc15.i686.rpm
:2011-06-01-20:04:24  Caching files from unpacked.cpio made from giflib-debuginfo-4.1.6-4.fc15.i686.rpm
:2011-06-01-20:04:24  Downloading (6 of 26) tint2-debuginfo-0.11-3.fc15.i686.rpm: 100%
:2011-06-01-20:04:24  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/tint2-debuginfo-0.11-3.fc15.i686.rpm
:2011-06-01-20:04:24  Caching files from unpacked.cpio made from tint2-debuginfo-0.11-3.fc15.i686.rpm
:2011-06-01-20:04:25  Downloading (7 of 26) expat-debuginfo-2.0.1-11.fc15.i686.rpm: 100%
:2011-06-01-20:04:25  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/expat-debuginfo-2.0.1-11.fc15.i686.rpm
:2011-06-01-20:04:25  Caching files from unpacked.cpio made from expat-debuginfo-2.0.1-11.fc15.i686.rpm
:2011-06-01-20:04:27  Downloading (8 of 26) freetype-debuginfo-2.4.4-4.fc15.i686.rpm: 100%
:2011-06-01-20:04:27  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/freetype-debuginfo-2.4.4-4.fc15.i686.rpm
:2011-06-01-20:04:27  Caching files from unpacked.cpio made from freetype-debuginfo-2.4.4-4.fc15.i686.rpm
:2011-06-01-20:04:29  Downloading (9 of 26) bzip2-debuginfo-1.0.6-3.fc15.i686.rpm: 100%
:2011-06-01-20:04:29  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/bzip2-debuginfo-1.0.6-3.fc15.i686.rpm
:2011-06-01-20:04:29  Caching files from unpacked.cpio made from bzip2-debuginfo-1.0.6-3.fc15.i686.rpm
:2011-06-01-20:04:29  Downloading (10 of 26) libXrender-debuginfo-0.9.6-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:29  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXrender-debuginfo-0.9.6-2.fc15.i686.rpm
:2011-06-01-20:04:29  Caching files from unpacked.cpio made from libXrender-debuginfo-0.9.6-2.fc15.i686.rpm
:2011-06-01-20:04:30  Downloading (11 of 26) libICE-debuginfo-1.0.6-3.fc15.i686.rpm: 100%
:2011-06-01-20:04:30  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libICE-debuginfo-1.0.6-3.fc15.i686.rpm
:2011-06-01-20:04:30  Caching files from unpacked.cpio made from libICE-debuginfo-1.0.6-3.fc15.i686.rpm
:2011-06-01-20:04:31  Downloading (12 of 26) imlib2-debuginfo-1.4.4-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:31  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/imlib2-debuginfo-1.4.4-2.fc15.i686.rpm
:2011-06-01-20:04:31  Caching files from unpacked.cpio made from imlib2-debuginfo-1.4.4-2.fc15.i686.rpm
:2011-06-01-20:04:33  Downloading (13 of 26) cairo-debuginfo-1.10.2-3.fc15.i686.rpm: 100%
:2011-06-01-20:04:33  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/cairo-debuginfo-1.10.2-3.fc15.i686.rpm
:2011-06-01-20:04:33  Caching files from unpacked.cpio made from cairo-debuginfo-1.10.2-3.fc15.i686.rpm
:2011-06-01-20:04:33  Downloading (14 of 26) libXrandr-debuginfo-1.3.1-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:33  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXrandr-debuginfo-1.3.1-2.fc15.i686.rpm
:2011-06-01-20:04:33  Caching files from unpacked.cpio made from libXrandr-debuginfo-1.3.1-2.fc15.i686.rpm
:2011-06-01-20:04:34  Downloading (15 of 26) libXcomposite-debuginfo-0.4.3-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:34  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXcomposite-debuginfo-0.4.3-2.fc15.i686.rpm
:2011-06-01-20:04:34  Caching files from unpacked.cpio made from libXcomposite-debuginfo-0.4.3-2.fc15.i686.rpm
:2011-06-01-20:04:35  Downloading (16 of 26) pango-debuginfo-1.28.4-1.fc15.i686.rpm: 100%
:2011-06-01-20:04:35  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/pango-debuginfo-1.28.4-1.fc15.i686.rpm
:2011-06-01-20:04:35  Caching files from unpacked.cpio made from pango-debuginfo-1.28.4-1.fc15.i686.rpm
:2011-06-01-20:04:38  Downloading (17 of 26) libX11-debuginfo-1.4.3-1.fc15.i686.rpm: 100%
:2011-06-01-20:04:38  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libX11-debuginfo-1.4.3-1.fc15.i686.rpm
:2011-06-01-20:04:38  Caching files from unpacked.cpio made from libX11-debuginfo-1.4.3-1.fc15.i686.rpm
:2011-06-01-20:04:39  Downloading (18 of 26) libSM-debuginfo-1.2.0-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:39  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libSM-debuginfo-1.2.0-2.fc15.i686.rpm
:2011-06-01-20:04:39  Caching files from unpacked.cpio made from libSM-debuginfo-1.2.0-2.fc15.i686.rpm
:2011-06-01-20:04:40  Downloading (19 of 26) libtiff-debuginfo-3.9.5-1.fc15.i686.rpm: 100%
:2011-06-01-20:04:40  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libtiff-debuginfo-3.9.5-1.fc15.i686.rpm
:2011-06-01-20:04:40  Caching files from unpacked.cpio made from libtiff-debuginfo-3.9.5-1.fc15.i686.rpm
:2011-06-01-20:04:40  Downloading (20 of 26) libXau-debuginfo-1.0.6-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:40  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXau-debuginfo-1.0.6-2.fc15.i686.rpm
:2011-06-01-20:04:40  Caching files from unpacked.cpio made from libXau-debuginfo-1.0.6-2.fc15.i686.rpm
:2011-06-01-20:04:40  Downloading (21 of 26) libXinerama-debuginfo-1.1.1-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:40  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXinerama-debuginfo-1.1.1-2.fc15.i686.rpm
:2011-06-01-20:04:41  Caching files from unpacked.cpio made from libXinerama-debuginfo-1.1.1-2.fc15.i686.rpm
:2011-06-01-20:04:41  Downloading (22 of 26) libXfixes-debuginfo-5.0-1.fc15.i686.rpm: 100%
:2011-06-01-20:04:41  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libXfixes-debuginfo-5.0-1.fc15.i686.rpm
:2011-06-01-20:04:41  Caching files from unpacked.cpio made from libXfixes-debuginfo-5.0-1.fc15.i686.rpm
:2011-06-01-20:04:41  Downloading (23 of 26) libxcb-debuginfo-1.7-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:41  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libxcb-debuginfo-1.7-2.fc15.i686.rpm
:2011-06-01-20:04:42  Caching files from unpacked.cpio made from libxcb-debuginfo-1.7-2.fc15.i686.rpm
:2011-06-01-20:04:43  Downloading (24 of 26) pixman-debuginfo-0.20.2-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:43  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/pixman-debuginfo-0.20.2-2.fc15.i686.rpm
:2011-06-01-20:04:43  Caching files from unpacked.cpio made from pixman-debuginfo-0.20.2-2.fc15.i686.rpm
:2011-06-01-20:04:43  Downloading (25 of 26) libjpeg-turbo-debuginfo-1.1.0-2.fc15.i686.rpm: 100%
:2011-06-01-20:04:43  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/libjpeg-turbo-debuginfo-1.1.0-2.fc15.i686.rpm
:2011-06-01-20:04:44  Caching files from unpacked.cpio made from libjpeg-turbo-debuginfo-1.1.0-2.fc15.i686.rpm
:2011-06-01-20:04:46  Downloading (26 of 26) util-linux-debuginfo-2.19.1-1.fc15.i686.rpm: 100%
:2011-06-01-20:04:46  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249/util-linux-debuginfo-2.19.1-1.fc15.i686.rpm
:2011-06-01-20:04:46  Caching files from unpacked.cpio made from util-linux-debuginfo-2.19.1-1.fc15.i686.rpm
:2011-06-01-20:04:46  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-06-01-20:00:34.5249
:2011-06-01-20:04:47  Backtrace is generated and saved, 10834 bytes

maps:
:0014e000-00150000 r-xp 00000000 fd:00 264756     /usr/lib/imlib2/loaders/tiff.so
:00150000-00151000 rw-p 00001000 fd:00 264756     /usr/lib/imlib2/loaders/tiff.so
:00195000-00197000 r-xp 00000000 fd:00 264750     /usr/lib/imlib2/loaders/gif.so
:00197000-00198000 rw-p 00001000 fd:00 264750     /usr/lib/imlib2/loaders/gif.so
:0030c000-0030e000 r-xp 00000000 fd:00 264755     /usr/lib/imlib2/loaders/tga.so
:0030e000-0030f000 rw-p 00001000 fd:00 264755     /usr/lib/imlib2/loaders/tga.so
:00412000-00415000 r-xp 00000000 fd:00 264757     /usr/lib/imlib2/loaders/xpm.so
:00415000-00416000 rw-p 00002000 fd:00 264757     /usr/lib/imlib2/loaders/xpm.so
:00416000-00418000 r-xp 00000000 fd:00 264754     /usr/lib/imlib2/loaders/pnm.so
:00418000-00419000 rw-p 00002000 fd:00 264754     /usr/lib/imlib2/loaders/pnm.so
:004e9000-004ec000 r-xp 00000000 fd:00 264748     /usr/lib/imlib2/loaders/bmp.so
:004ec000-004ed000 rw-p 00002000 fd:00 264748     /usr/lib/imlib2/loaders/bmp.so
:00520000-00521000 r-xp 00000000 fd:00 264747     /usr/lib/imlib2/loaders/argb.so
:00521000-00522000 rw-p 00000000 fd:00 264747     /usr/lib/imlib2/loaders/argb.so
:0063c000-0063e000 r-xp 00000000 fd:00 264751     /usr/lib/imlib2/loaders/jpeg.so
:0063e000-0063f000 rw-p 00001000 fd:00 264751     /usr/lib/imlib2/loaders/jpeg.so
:00af8000-00afa000 r-xp 00000000 fd:00 264752     /usr/lib/imlib2/loaders/lbm.so
:00afa000-00afb000 rw-p 00002000 fd:00 264752     /usr/lib/imlib2/loaders/lbm.so
:00b84000-00b85000 r-xp 00000000 00:00 0          [vdso]
:00c04000-00c0f000 r-xp 00000000 fd:00 109754     /lib/libnss_files-2.13.90.so
:00c0f000-00c10000 r--p 0000a000 fd:00 109754     /lib/libnss_files-2.13.90.so
:00c10000-00c11000 rw-p 0000b000 fd:00 109754     /lib/libnss_files-2.13.90.so
:00ecd000-00ece000 r-xp 00000000 fd:00 264758     /usr/lib/imlib2/loaders/zlib.so
:00ece000-00ecf000 rw-p 00000000 fd:00 264758     /usr/lib/imlib2/loaders/zlib.so
:00f20000-00f21000 r-xp 00000000 fd:00 264749     /usr/lib/imlib2/loaders/bz2.so
:00f21000-00f22000 rw-p 00000000 fd:00 264749     /usr/lib/imlib2/loaders/bz2.so
:00fe0000-00fe3000 r-xp 00000000 fd:00 264753     /usr/lib/imlib2/loaders/png.so
:00fe3000-00fe4000 rw-p 00002000 fd:00 264753     /usr/lib/imlib2/loaders/png.so
:08048000-08062000 r-xp 00000000 fd:00 15676      /usr/bin/tint2
:08062000-08065000 rw-p 0001a000 fd:00 15676      /usr/bin/tint2
:084c9000-084ea000 rw-p 00000000 00:00 0          [heap]
:4963a000-49659000 r-xp 00000000 fd:00 8937       /lib/ld-2.13.90.so
:49659000-4965a000 r--p 0001f000 fd:00 8937       /lib/ld-2.13.90.so
:4965a000-4965b000 rw-p 00020000 fd:00 8937       /lib/ld-2.13.90.so
:49661000-497e9000 r-xp 00000000 fd:00 10870      /lib/libc-2.13.90.so
:497e9000-497eb000 r--p 00188000 fd:00 10870      /lib/libc-2.13.90.so
:497eb000-497ec000 rw-p 0018a000 fd:00 10870      /lib/libc-2.13.90.so
:497ec000-497ef000 rw-p 00000000 00:00 0 
:497f1000-49808000 r-xp 00000000 fd:00 11024      /lib/libpthread-2.13.90.so
:49808000-49809000 r--p 00016000 fd:00 11024      /lib/libpthread-2.13.90.so
:49809000-4980a000 rw-p 00017000 fd:00 11024      /lib/libpthread-2.13.90.so
:4980a000-4980c000 rw-p 00000000 00:00 0 
:4980e000-49811000 r-xp 00000000 fd:00 10875      /lib/libdl-2.13.90.so
:49811000-49812000 r--p 00002000 fd:00 10875      /lib/libdl-2.13.90.so
:49812000-49813000 rw-p 00003000 fd:00 10875      /lib/libdl-2.13.90.so
:49815000-4981c000 r-xp 00000000 fd:00 11051      /lib/librt-2.13.90.so
:4981c000-4981d000 r--p 00006000 fd:00 11051      /lib/librt-2.13.90.so
:4981d000-4981e000 rw-p 00007000 fd:00 11051      /lib/librt-2.13.90.so
:49820000-49849000 r-xp 00000000 fd:00 10886      /lib/libm-2.13.90.so
:49849000-4984a000 r--p 00028000 fd:00 10886      /lib/libm-2.13.90.so
:4984a000-4984b000 rw-p 00029000 fd:00 10886      /lib/libm-2.13.90.so
:4984d000-49869000 r-xp 00000000 fd:00 10876      /lib/libgcc_s-4.6.0-20110509.so.1
:49869000-4986a000 rw-p 0001b000 fd:00 10876      /lib/libgcc_s-4.6.0-20110509.so.1
:4986c000-49881000 r-xp 00000000 fd:00 10885      /lib/libz.so.1.2.5
:49881000-49882000 rw-p 00014000 fd:00 10885      /lib/libz.so.1.2.5
:498a5000-499bd000 r-xp 00000000 fd:00 11062      /lib/libglib-2.0.so.0.2800.6
:499bd000-499be000 rw-p 00118000 fd:00 11062      /lib/libglib-2.0.so.0.2800.6
:499dd000-499e1000 r-xp 00000000 fd:00 11063      /lib/libgthread-2.0.so.0.2800.6
:499e1000-499e2000 rw-p 00003000 fd:00 11063      /lib/libgthread-2.0.so.0.2800.6
:499e4000-49a30000 r-xp 00000000 fd:00 11064      /lib/libgobject-2.0.so.0.2800.6
:49a30000-49a32000 rw-p 0004b000 fd:00 11064      /lib/libgobject-2.0.so.0.2800.6
:49a34000-49b69000 r-xp 00000000 fd:00 10877      /usr/lib/libX11.so.6.3.0
:49b69000-49b6d000 rw-p 00134000 fd:00 10877      /usr/lib/libX11.so.6.3.0
:49b6f000-49b8c000 r-xp 00000000 fd:00 10874      /usr/lib/libxcb.so.1.1.0
:49b8c000-49b8d000 rw-p 0001d000 fd:00 10874      /usr/lib/libxcb.so.1.1.0
:49b8f000-49b91000 r-xp 00000000 fd:00 10873      /usr/lib/libXau.so.6.0.0
:49b91000-49b92000 rw-p 00001000 fd:00 10873      /usr/lib/libXau.so.6.0.0
:49b94000-49ba4000 r-xp 00000000 fd:00 10878      /usr/lib/libXext.so.6.4.0
:49ba4000-49ba5000 rw-p 00010000 fd:00 10878      /usr/lib/libXext.so.6.4.0
:49ba7000-49bcd000 r-xp 00000000 fd:00 10901      /lib/libexpat.so.1.5.2
:49bcd000-49bcf000 rw-p 00026000 fd:00 10901      /lib/libexpat.so.1.5.2
:49bd1000-49bf9000 r-xp 00000000 fd:00 10887      /usr/lib/libpng12.so.0.44.0
:49bf9000-49bfa000 rw-p 00027000 fd:00 10887      /usr/lib/libpng12.so.0.44.0
:49bfc000-49bff000 r-xp 00000000 fd:00 11065      /lib/libgmodule-2.0.so.0.2800.6
:49bff000-49c00000 rw-p 00002000 fd:00 11065      /lib/libgmodule-2.0.so.0.2800.6
:49c13000-49ca9000 r-xp 00000000 fd:00 10900      /usr/lib/libfreetype.so.6.6.2
:49ca9000-49cad000 rw-p 00095000 fd:00 10900      /usr/lib/libfreetype.so.6.6.2
:49caf000-49ce2000 r-xp 00000000 fd:00 10902      /usr/lib/libfontconfig.so.1.4.4
:49ce2000-49ce3000 rw-p 00033000 fd:00 10902      /usr/lib/libfontconfig.so.1.4.4
:49ce5000-49ce9000 r-xp 00000000 fd:00 10897      /usr/lib/libXfixes.so.3.1.0
:49ce9000-49cea000 rw-p 00003000 fd:00 10897      /usr/lib/libXfixes.so.3.1.0
:49e02000-49e0a000 r-xp 00000000 fd:00 11780      /usr/lib/libgif.so.4.1.6
:49e0a000-49e0b000 rw-p 00008000 fd:00 11780      /usr/lib/libgif.so.4.1.6
:49e1c000-49e25000 r-xp 00000000 fd:00 10895      /usr/lib/libXrender.so.1.3.0
:49e25000-49e26000 rw-p 00008000 fd:00 10895      /usr/lib/libXrender.so.1.3.0
:49e28000-49e2f000 r-xp 00000000 fd:00 10896      /usr/lib/libXrandr.so.2.2.0
:49e2f000-49e30000 rw-p 00006000 fd:00 10896      /usr/lib/libXrandr.so.2.2.0
:49e3e000-49e40000 r-xp 00000000 fd:00 10899      /usr/lib/libXinerama.so.1.0.0
:49e40000-49e41000 rw-p 00001000 fd:00 10899      /usr/lib/libXinerama.so.1.0.0
:49e43000-49e9e000 r-xp 00000000 fd:00 15675      /usr/lib/libImlib2.so.1.4.4
:49e9e000-49e9f000 rw-p 0005a000 fd:00 15675      /usr/lib/libImlib2.so.1.4.4
:49e9f000-49eb3000 rw-p 00000000 00:00 0 
:49f33000-49f35000 r-xp 00000000 fd:00 11081      /usr/lib/libXdamage.so.1.1.0
:49f35000-49f36000 rw-p 00001000 fd:00 11081      /usr/lib/libXdamage.so.1.1.0
:49f83000-49faf000 r-xp 00000000 fd:00 11077      /usr/lib/libpangoft2-1.0.so.0.2800.4
:49faf000-49fb0000 rw-p 0002b000 fd:00 11077      /usr/lib/libpangoft2-1.0.so.0.2800.4
:49fd7000-49fd9000 r-xp 00000000 fd:00 11084      /usr/lib/libXcomposite.so.1.0.0
:49fd9000-49fda000 rw-p 00001000 fd:00 11084      /usr/lib/libXcomposite.so.1.0.0
:49fdc000-4a090000 r-xp 00000000 fd:00 11073      /usr/lib/libcairo.so.2.11000.2
:4a090000-4a092000 rw-p 000b3000 fd:00 11073      /usr/lib/libcairo.so.2.11000.2
:4a092000-4a094000 rw-p 00000000 00:00 0 
:4a096000-4a10d000 r-xp 00000000 fd:00 11072      /usr/lib/libpixman-1.so.0.20.2
:4a10d000-4a111000 rw-p 00076000 fd:00 11072      /usr/lib/libpixman-1.so.0.20.2
:4a113000-4a15a000 r-xp 00000000 fd:00 11076      /usr/lib/libpango-1.0.so.0.2800.4
:4a15a000-4a15c000 rw-p 00046000 fd:00 11076      /usr/lib/libpango-1.0.so.0.2800.4
:4a15e000-4a169000 r-xp 00000000 fd:00 11078      /usr/lib/libpangocairo-1.0.so.0.2800.4
:4a169000-4a16a000 rw-p 0000a000 fd:00 11078      /usr/lib/libpangocairo-1.0.so.0.2800.4
:4a18d000-4a191000 r-xp 00000000 fd:00 10880      /lib/libuuid.so.1.3.0
:4a191000-4a192000 rw-p 00003000 fd:00 10880      /lib/libuuid.so.1.3.0
:4a194000-4a19b000 r-xp 00000000 fd:00 10881      /usr/lib/libSM.so.6.0.1
:4a19b000-4a19c000 rw-p 00006000 fd:00 10881      /usr/lib/libSM.so.6.0.1
:4a19e000-4a1b4000 r-xp 00000000 fd:00 10879      /usr/lib/libICE.so.6.3.0
:4a1b4000-4a1b6000 rw-p 00015000 fd:00 10879      /usr/lib/libICE.so.6.3.0
:4a1b6000-4a1b7000 rw-p 00000000 00:00 0 
:4ac6a000-4acaa000 r-xp 00000000 fd:00 10891      /usr/lib/libjpeg.so.62.0.0
:4acaa000-4acab000 rw-p 0003f000 fd:00 10891      /usr/lib/libjpeg.so.62.0.0
:4acab000-4acbb000 rw-p 00000000 00:00 0 
:4ad08000-4ad17000 r-xp 00000000 fd:00 11116      /lib/libbz2.so.1.0.6
:4ad17000-4ad18000 rw-p 0000f000 fd:00 11116      /lib/libbz2.so.1.0.6
:4b0f6000-4b156000 r-xp 00000000 fd:00 11145      /usr/lib/libtiff.so.3.9.5
:4b156000-4b158000 rw-p 00060000 fd:00 11145      /usr/lib/libtiff.so.3.9.5
:b76b1000-b78b1000 r--p 00000000 fd:00 109739     /usr/lib/locale/locale-archive
:b78b1000-b78b9000 rw-p 00000000 00:00 0 
:b78dc000-b78de000 rw-p 00000000 00:00 0 
:bfc74000-bfc95000 rw-p 00000000 00:00 0          [stack]

Comment 1 Lukas Zapletal 2011-06-01 18:07:40 UTC
Fix backported into the Rawhide and F15.

http://code.google.com/p/tint2/issues/list?cursor=302

Comment 2 Lukas Zapletal 2011-06-01 18:14:15 UTC
Attaching the git patch for our tint2 repo.

Germán could you apply it please as I dont have write access.

Comment 3 Lukas Zapletal 2011-06-01 18:15:05 UTC
Created attachment 502340 [details]
git format-patch against fedora rawhide (master)

Please can you do F15 as well? Thanks!

Comment 4 Zbysek MRAZ 2011-06-13 12:51:56 UTC
Package: tint2-0.11-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
try to run with battery enabled option - the rest is default

Comment 5 Lukas Zapletal 2011-06-20 08:41:05 UTC
Zbysek: yes the workaround is to disable the battery applet. I am waiting for Germán to push my update as he is the package owner.

Comment 6 Germán Racca 2011-06-28 18:09:57 UTC
(In reply to comment #5)
> Zbysek: yes the workaround is to disable the battery applet. I am waiting for
> Germán to push my update as he is the package owner.

Lukas: please let me some time, because I'm full of work and very busy, but as soon as I can I'll apply the patches you are talking about.

BTW how to apply the patch? I can see in your attachment on comment 3 that there is a patch for the spec file. But I need the patch itself to apply to the source code and to update the spec file.

Comment 7 Lukas Zapletal 2011-06-29 08:00:49 UTC
@Germán: Click attachment 502340 [details], then click on the Raw Unified button and save it to a file. Its this link (hope that works too): http://bit.ly/isM1wp Then in your repo:

# git am your_saved_file.path
# git push

Better to check it out prior pushing using git diff --cached or tig or gitk. Thats it.

Comment 8 Germán Racca 2011-06-29 19:45:06 UTC
(In reply to comment #7)
> @Germán: Click attachment 502340 [details], then click on the Raw Unified button and save
> it to a file. Its this link (hope that works too): http://bit.ly/isM1wp Then in
> your repo:
> 
> # git am your_saved_file.path
> # git push
> 
> Better to check it out prior pushing using git diff --cached or tig or gitk.
> Thats it.

Thanks for your answer Lukas and sorry for my ignorance...but then what?

Because I always do the following when I'm going to update a package. I apply patches and compile locally, and then, for example:

$ fedpkg import -b master ~/rpmbuild/SRPMS/tint2-0.11-3.fc15.src.rpm

$ fedpkg clog

$ fedpkg commit -F clog -p

$ fedpkg build

$ BODHI_USER=skytux fedpkg update

I can even test the rpm package in my system before pushing the update.

Comment 9 Lukas Zapletal 2011-06-30 06:41:20 UTC
Well there can be several approaches. You probably doesnt edit it in-place and import SRPM every time. Then you can patch it just any other patch using the LW patch tool.

In the case you want to do it directly in the git do this in your fedpkg repo: 1) apply the patch in the master, merge the change into the f15, push your changes and rebuild.

# git checkout master
# git pull
# git am the_patch.patch
# git push origin master

# git checkout f15
# git merge master
# git push origin f15
# fedpkg build
# fedpkg update

# git checkout master

You are back on "master". Hope this helps. Or you can create srpms for f15 and f16 and import them both to f15 and master branches. I don't know how to build f15 branch using fedpkg then. I guess you still need to checkout it.

Comment 10 Germán Racca 2011-07-18 19:23:57 UTC
Well, I'm not sure to apply this patch because I can't reproduce this bug.

When I run tint2 and enable battery applet (via tintwizard) I don't have any problem:

$ tint2
real transparency off.... depth: 24
xRandr: Found crtc's: 2
xRandr: Linking output LVDS1 with crtc 0
tint2 : nb monitor 1, nb monitor used 1, nb desktop 9
icon with depth: 24

$ rpm -q tint2
tint2-0.11-3.fc15.x86_64

$ uname -rms
Linux 2.6.38.8-35.fc15.x86_64 x86_64

Comment 11 Lukas Zapletal 2011-07-19 08:34:37 UTC
Germán: It depends on hardware platform you are running on. The bug is confirmed for example on ThinkPads (my case is X201). The the bug appears on systems where file /sys/class/power_supply/BAT0/current_now was renamed to /sys/class/power_supply/BAT0/power_now.

I guess you have current_now there, so your laptop is not affected.

I have to insist on patching tint2 in Fedora 15. Thank you.

Comment 12 Fedora Update System 2011-07-20 19:24:53 UTC
tint2-0.11-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tint2-0.11-4.fc15

Comment 13 Lukas Zapletal 2011-07-21 14:01:59 UTC
Many thanks!

Comment 14 Germán Racca 2011-07-21 16:48:42 UTC
(In reply to comment #13)
> Many thanks!

Thanks to you for sending the patch :)

Comment 15 Fedora Update System 2011-07-22 19:40:40 UTC
Package tint2-0.11-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tint2-0.11-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tint2-0.11-4.fc15
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2011-07-31 04:00:25 UTC
tint2-0.11-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.